Derivatives Exchanges List with Data
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/derivatives/exchanges \
--header 'x-cg-pro-api-key: <api-key>'[
{
"name": "Binance (Futures)",
"id": "binance_futures",
"open_interest_btc": 332790.5,
"trade_volume_24h_btc": "588597.24",
"number_of_perpetual_pairs": 592,
"number_of_futures_pairs": 72,
"image": "https://coin-images.coingecko.com/markets/images/466/small/binance_futures.jpg?1706864452",
"year_established": 2019,
"country": "Cayman Islands",
"description": "",
"url": "https://www.binance.com/"
},
{
"name": "Bybit (Futures)",
"id": "bybit",
"open_interest_btc": 148377.99,
"trade_volume_24h_btc": "162793.82",
"number_of_perpetual_pairs": 673,
"number_of_futures_pairs": 68,
"image": "https://coin-images.coingecko.com/markets/images/460/small/photo_2021-08-12_18-27-50.jpg?1706864447",
"year_established": 2018,
"country": "Seychelles",
"description": "Bybit is the world's second-largest cryptocurrency exchange by trading volume, serving a global community of over 60 million users.",
"url": "https://www.bybit.com"
}
]Derivatives
Derivatives Exchanges List with Data
To query all the derivatives exchanges with related data (ID, name, open interest, …) on CoinGecko
GET
/
derivatives
/
exchanges
Derivatives Exchanges List with Data
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/derivatives/exchanges \
--header 'x-cg-pro-api-key: <api-key>'[
{
"name": "Binance (Futures)",
"id": "binance_futures",
"open_interest_btc": 332790.5,
"trade_volume_24h_btc": "588597.24",
"number_of_perpetual_pairs": 592,
"number_of_futures_pairs": 72,
"image": "https://coin-images.coingecko.com/markets/images/466/small/binance_futures.jpg?1706864452",
"year_established": 2019,
"country": "Cayman Islands",
"description": "",
"url": "https://www.binance.com/"
},
{
"name": "Bybit (Futures)",
"id": "bybit",
"open_interest_btc": 148377.99,
"trade_volume_24h_btc": "162793.82",
"number_of_perpetual_pairs": 673,
"number_of_futures_pairs": 68,
"image": "https://coin-images.coingecko.com/markets/images/460/small/photo_2021-08-12_18-27-50.jpg?1706864447",
"year_established": 2018,
"country": "Seychelles",
"description": "Bybit is the world's second-largest cryptocurrency exchange by trading volume, serving a global community of over 60 million users.",
"url": "https://www.bybit.com"
}
]SDK Examples
const response = await client.derivatives.exchanges.get();
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Sort order of responses.
Default: open_interest_btc_desc
Available options:
name_asc, name_desc, open_interest_btc_asc, open_interest_btc_desc, trade_volume_24h_btc_asc, trade_volume_24h_btc_desc Total results per page.
Page through results. Default value: 1
Response
200 - application/json
List of derivative exchanges with data
Derivatives exchange name
Derivatives exchange ID
Derivatives exchange open interest in BTC
Derivatives exchange trade volume in BTC in 24 hours
Number of perpetual pairs in the derivatives exchange
Number of futures pairs in the derivatives exchange
Derivatives exchange image URL
Derivatives exchange established year
Derivatives exchange incorporated country
Derivatives exchange description
Derivatives exchange website URL
Was this page helpful?
⌘I

